Bug 979191 - Compress tarball with xz
Compress tarball with xz
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mrpt (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Rich Mattes
Fedora Extras Quality Assurance
: EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 17:28 EDT by Ville Skyttä
Modified: 2013-06-29 15:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-29 15:22:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2013-06-27 17:28:07 EDT
Compressing the tarball with xz instead of bzip2 would save about 2 MB, see http://thread.gmane.org/gmane.linux.redhat.fedora.devel/181336 and let me know if you'd like me to take care of this for devel.

diff --git a/create_tarball_mrpt.sh b/create_tarball_mrpt.sh
index 58b0a89..22e7a7b 100644
--- a/create_tarball_mrpt.sh
+++ b/create_tarball_mrpt.sh
@@ -8 +8 @@ popd
-tar cjf mrpt-1.0.1-fedora.tar.bz2 mrpt-1.0.1
+tar cJf mrpt-1.0.1-fedora.tar.xz mrpt-1.0.1
diff --git a/mrpt.spec b/mrpt.spec
index 3a98683..bb82453 100644
--- a/mrpt.spec
+++ b/mrpt.spec
@@ -12 +12 @@ URL: http://www.mrpt.org/
-Source0: %{name}-%{version}-fedora.tar.bz2
+Source0: %{name}-%{version}-fedora.tar.xz
Comment 1 Rich Mattes 2013-06-28 22:26:56 EDT
I've got no problems with switching to xz with the patch you posted.  You can go ahead and take care of it if you'd like.
Comment 2 Rich Mattes 2013-06-28 23:30:21 EDT
Actually, I'm going to have to rebuild MRPT this weekend anyway to address some other bugs, I'll take care of re-compressing the source while I'm at it.

Note You need to log in before you can comment on or make changes to this bug.